package agentk

import (
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/gitlab_access"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/gitlab_access/rpc"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v18/internal/module/modagentk"
)

type Factory struct {
}

func (f *Factory) New(config *modagentk.Config) (modagentk.Module, error) {
	config.RegisterKASAPI(&rpc.GitlabAccess_ServiceDesc)
	return nil, nil
}

func (f *Factory) IsProducingLeaderModules() bool {
	return false
}

func (f *Factory) Name() string {
	return gitlab_access.ModuleName
}
